<?php
/**
 * Clase BalanceGeneralBL
 *
 * @package    
 * @subpackage 
 * @author     BalanceGeneralBL
 * @version    SVN: $Id: BalanceGeneralBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class BalanceGeneralBL{
    
  /**
  * 
  *
  * @param $o_BalanceGeneralBean, objeto de tipo BalanceGeneral 
  * @return Boolean
  */
  public function busquedaBalanceGeneral(BalanceGeneralBean $o_BalanceGeneralBean){
    
    $o_BalanceGeneralDP = new BalanceGeneralDP($o_BalanceGeneralBean);
    if($o_BalanceGeneralBean->getIdBalanceGeneral()){
      return $o_BalanceGeneralDP->selectByPk();
    }else{
      return $o_BalanceGeneralDP->select();
    }
    
  }
  public function busquedaBalanceGenera(BalanceGeneralBean $o_BalanceGeneralBean){
    $o_BalanceGeneralDP = new BalanceGeneralDP($o_BalanceGeneralBean);
    return $o_BalanceGeneralDP->selectHeader();
  }
  
  public function busquedaBalanceGeneralResulset(BalanceGeneralBean $o_BalanceGeneralBean){
    
    $o_BalanceGeneralDP = new BalanceGeneralDP($o_BalanceGeneralBean);
    return $o_BalanceGeneralDP->selectResultset();
        
  }
  
  public function insertarBalanceGeneral(BalanceGeneralBean $o_BalanceGeneralBean){
    
    $o_BalanceGeneralCT = new BalanceGeneralCT();
    return $o_BalanceGeneralCT->guardar($o_BalanceGeneralBean);
    
  }
  public function modificarBalanceGeneral(BalanceGeneralBean $o_BalanceGeneralBean){
      $o_BalanceGeneralCT = new BalanceGeneralCT();
      return $o_BalanceGeneralCT->modificar($o_BalanceGeneralBean);
  }
  /**
	* Función que retorna un objeto BalanceGeneral o una lista de Objetos de BalanceGeneral,
	* dependiendo del parametro que se le envia si este contiene o no el Id de BalanceGeneral
	*
	* @param $o_BalanceGeneralBean, es un objeto de tipo BalanceGeneral
	* @return Object
	*/
	public function modificarEstadoBalanceGeneral(BalanceGeneralBean $o_BalanceGeneralBean){
	  
	}
  
  public function eliminarBalanceGeneral(BalanceGeneralBean $o_BalanceGeneralBean){
    $o_BalanceGeneralCT = new BalanceGeneralCT();
    return $o_BalanceGeneralCT->eliminar($o_BalanceGeneralBean);
    
  }
  
  public function getCountResult(BalanceGeneralBean $o_BalanceGeneralBean){
    $o_BalanceGeneralCT = new BalanceGeneralCT();
    return $o_BalanceGeneralCT->totalRegistros($o_BalanceGeneralBean);
  }
  
}

